STRCPY(3)

NAME
strcpy - copy a string without bounds checking

SYNOPSIS
#include <string.h>
char *
strcpy(char *dst, const char *src);

DESCRIPTION
The strcpy() function copies the string src (including the terminating ‘\0’ character) to the buffer dst.

No bounds checking is performed. If the buffer dst is not large enough to hold the result, subsequent memory will be damaged.

If the src string is inside the dst buffer, the behavior is undefined.

RETURN VALUES
The strcpy() function returns dst.

SEE ALSO
strlcpy(3), wcscpy(3), wcslcpy(3)

STANDARDS
The strcpy() function conforms to ansiC.

HISTORY
The strcpy() function first appeared outside of Bell Labs in PWB/UNIX 1.0.